Bug 165530 - standards.info and configure.info should not be included
standards.info and configure.info should not be included
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: binutils (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-10 04:17 EDT by Patrice Dumas
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 2.16.91.0.2-4
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-18 13:24:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrice Dumas 2005-08-10 04:17:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8b3) Gecko/20050729 Fedora/1.1-0.2.5.deerpark.alpha2 Firefox/1.0+

Description of problem:
Some manuals are wrongly part of binutils. I am not sure which package they should be part of though. And I don't know if the configure manual is still relevant.

/usr/share/info/configure.info.gz
/usr/share/info/standards.info.gz

the standards manual is out of date.

I don't have a very precise idea on which package should hold those kind of manuals. My understanding is that currently the GNU project keep them on the web in http://www.gnu.org/prep/, and also in the gnulib CVS http://savannah.gnu.org/projects/gnulib.

Maybe the right place would be in a gnulib package, however there are 2 issues. First the gnulib maintainers (at least Karl Berry) are against the packaging of gnulib and prefer that gnulib is used right from the cvs. The second issue is that the gnulib is not ready for installation and the standards.info and maintainer.info are not even built when building the documentation in the doc subdirectory. The gnulib itself is no buit.

Version-Release number of selected component (if applicable):
binutils-2.16.91.0.2-2

How reproducible:
Always

Steps to Reproduce:
1.
2.
3.
  

Additional info:
Comment 1 Jakub Jelinek 2005-08-18 13:24:12 EDT
I disagree.  As we are not shipping gnulib, including them in binutils
is as good as in another base development package that is required for all
development work.  In fact, as it has been included there for years, it is
better not to move it unnecessarily.
I have instead just updated standards.texi in binutils from gnulib CVS.
BTW, configure.texi doesn't live in gnulib at all.

Note You need to log in before you can comment on or make changes to this bug.